# $Revision: 1.14 $, $Date: 2011/05/22 16:45:35 $
Summary:	Block device driver to share storage to many machines over a network
Summary(pl.UTF-8):	Sterownik urządzenia blokowego do dzielenia pamięci między maszynami w sieci
Name:		gnbd
Version:	2.03.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
URL:		http://sources.redhat.com/cluster/gnbd/
BuildRequires:	cman-devel >= 2.03.10
BuildRequires:	perl-base
Requires:	cman-libs >= 2.03.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The global network block device (GNBD) driver is similar to other
network block device drivers. Devices exported by GNBD servers can be
used by multiple clients making it suitable for use by a group of GFS
nodes.

%description -l pl.UTF-8
Sterownik GNBS (global network block device) jest podobny do innych
sterowników sieciowych urządzeń blokowych. Urządzenia wyeksportowane
przez serwery GNBD mogą być używane przez wielu klientów, co czyni
sterownik nadającym się do używania w grupie węzłów GFS.

%prep
%setup -q -n cluster-%{version}

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_kernel_modules
%{__make} -C %{name}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/gnbd_*
%{_mandir}/man8/gnbd*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnbd.spec,v $
Revision 1.14  2011/05/22 16:45:35  qboosh
- updated to 2.03.10 (the last 2nd generation cluster release)

Revision 1.13  2007/04/02 18:27:28  zbyniu
-  BR s/ccs-devel/cman-devel/

Revision 1.12  2007/04/02 18:23:48  zbyniu
- up to 2.00.00

Revision 1.11  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.9  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.8  2006/05/20 08:34:10  qboosh
- added nolibsysfs patch (from CVS), no longer requires libsysfs 1.x

Revision 1.7  2006/05/15 00:11:45  zbyniu
- up to 1.02.00

Revision 1.6  2005/11/06 12:31:28  zbyniu
- proper md5 sum

Revision 1.5  2005/11/05 23:53:35  arekm
- up to 1.01.00

Revision 1.4  2005/04/23 19:36:58  qboosh
- updated to 1.0-pre13, use optflags

Revision 1.3  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.2  2004/06/27 11:34:16  qboosh
- pl, fixed Group

Revision 1.1  2004/06/26 23:47:51  arekm
- initial pld release
